%global         momorel 1

Name:           perl-POE-Test-Loops
Version:        1.359
Release:        %{momorel}m%{?dist}
Summary:        Reusable tests for POE::Loop authors
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Test-Loops/
Source0:        http://www.cpan.org/authors/id/R/RC/RCAPUTO/POE-Test-Loops-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Simple
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
POE::Test::Loops contains one function, generate(), which will generate all
the loop tests for one or more POE::Loop subclasses.

%prep
%setup -q -n POE-Test-Loops-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{_bindir}/*
%{perl_vendorlib}/POE/Test
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.359-1m)
- update to 1.359

* Sun Jul 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.358-1m)
- update to 1.358

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.354-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.354-2m)
- rebuild against perl-5.18.2

* Mon Oct 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.354-1m)
- update to 1.354

* Mon Sep 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.353-1m)
- update to 1.353

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-2m)
- rebuild against perl-5.16.0

* Mon Mar 12 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.351-1m)
- update to 1.351

* Fri Dec 16 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.350-1m)
- update to 1.350

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.312-3m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.312-2m)
- rebuild against perl-5.14.1

* Mon Jun  6 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.312-1m)
- update to 1.312

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.311-2m)
- rebuild against perl-5.14.0-0.2.1m

* Tue May  3 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.311-1m)
- update to 1.311

* Thu Apr 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.050-1m)
- update to 1.050

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.040-2m)
- rebuild for new GCC 4.6

* Fri Feb  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.040-1m)
- update to 1.040

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.036-2m)
- rebuild for new GCC 4.5

* Fri Nov 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.036-1m)
- update to 1.036

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.035-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.035-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.035-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.035-2m)
- rebuild against perl-5.12.0

* Tue Apr  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.035-1m)
- update to 1.035

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.033-1m)
- update to 1.033

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.031-1m)
- update to 1.031

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.030-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.030-1m)
- update to 1.030

* Thu Sep 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.022-1m)
- update to 1.022

* Sat Aug 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.021-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
